//-------------------------------------------------------------------------*
//工 程 名: JM60小灯程序                                                   *
//硬件连接: MCU的I/O口引脚PTF1接小灯                                       *
//程序描述: 用I/O口控制小灯闪烁                                            *
//目    的: 第1个MC9S08JM60 C语言程序框架                                  *
//注    意: 如果延时不够长的话，会发觉灯不会闪烁,而是一直亮，这是由于人的  *
//          视觉暂留(约100～400毫秒，电影放映是每秒24格静止画面)的引起的。 *
//-------------------------------------------------------------------------*

#include "Includes.h" 

//主函数
void main(void) 
{
    uint16 mRuncount=0;                                    //运行计数器

    DisableMCUint();     //禁止总中断
    
    //1. 芯片初始化
    MCUInit();

    //2. 模块初始化
    Light_Init(Light_Run_PORT,Light_Run,Light_OFF);        //指示灯初始化为暗
    
    // 主循环
    while (1)                      
    {
        // 1 主循环计数到一定的值，使小灯的亮、暗状态切换
        mRuncount++;
        if (mRuncount>=65000) 
        {
          mRuncount=0;
          Light_Change(Light_Run_PORT,Light_Run);          //指示灯的亮、暗状态切换
        }
    }

}

